Subject: Re: (NAT) tcp options and non-routable names

From: Matt Holdrege <[email-masked]>
Date: Tue, 16 Dec 1997 17:17:51 -0800

At 05:50 PM 12/16/97 +0000, Philippe OECHSLIN wrote:
>- DNS
>
>  When using a NAPT to hide a network behind a single address, the 
>  machines in the hidden network use non-routable IP addresses. 
>  In order to be able to connect with each others, these machines
>  must be able to look up each others name, conveniently in the DNS.
>  Since these addresses can be used in multiple locations, they will
>  not be registered in the global DNS. I assume that the nat box
>  could run a DNS server which would register the names of the machines
>  it is hiding. 
>
>  Wouldn't it be convenient if the global DNS would carry a set of
>  dummy names for addresses in the non-routable networks? Say
>
>  pc1.nat.net, pc2.nat.net ... printer1.nat.net ... server1.nat.net
>  www.nat.net for a given subnet of non-routable addresses
>
>  In that way, users behind a NAPT could simply use any of these names
>  without having to administer the DNS for them. Also, if one of these
>  names leaked out into the Internet (eg. as a url in a document) it 
>  could be recognized as a non-routable IP hostname, which might be 
>  more interesting than an unknown hostname. 

I don't think that would fly. For starters, folks in non-english speaking
countries might object. Secondly, no two networks are alike. You can't
assume pc1, printer1, server1, etc.

Better that the NAT device or some other local device runs a local DNS server.
Or the hidden hosts use a local hosts file.

Matt Holdrege		http://www.ascend.com	[email-masked]
-
To unsubscribe, email [email-masked]' with
'unsubscribe nat' in the body of the message.

---

From: Matt Holdrege <[email-masked]>
Date: Wed, 17 Dec 1997 12:36:25 -0800

At 02:11 PM 12/17/97 +0000, Philippe OECHSLIN wrote:
>This is applicable for most of the typical SOHO users of NAPT. Larger
private 
>networks are assumed to have their own DNS server anyway. 
>
>The key point is that, I think, it doesn't harm people who don't want to use 
>these names and it is helpful for those who want. 

I guess my point is that this isn't something that needs to be
standardized. This is something that in most cases is site specific. The
idea to create a useful template for SOHO's is good. Perhaps you could
write it as an informational RFC. But I question it's applicability as a
standards track document.